List your voice agents

Your voice agents, newest first. page and page_size (1 to 100, default 20) page the list. Signing secrets are never listed.

GET
/v3/voice/agents

Response Body

application/json

application/json

curl -X GET "https://example.com/v3/voice/agents?page=0&page_size=0"
{
  "success": true,
  "data": {
    "agents": [
      {
        "id": "string",
        "name": "string",
        "session_type": "string",
        "websocket_url": "string",
        "speech": {
          "setting": "string",
          "voice": "string",
          "language": "string"
        },
        "audio": {
          "sample_rate": 0
        },
        "greeting": "string",
        "tools": [
          "string"
        ],
        "transfer_targets": [
          {
            "kind": "string",
            "value": "string"
          }
        ],
        "fallback": {
          "kind": "string",
          "value": "string"
        },
        "limits": {
          "max_call_seconds": 0,
          "max_concurrent_calls": 0,
          "allowed_countries": [
            "string"
          ]
        },
        "transcripts": {
          "store": true,
          "retention_days": 0
        },
        "signing_secret": "string",
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      }
    ],
    "pagination": {
      "page": 0,
      "page_size": 0,
      "total_count": 0,
      "total_pages": 0,
      "has_more": true,
      "cursors": {
        "after": "string",
        "before": "string"
      }
    }
  },
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "doc_url": "string"
  },
  "meta": {
    "request_id": "string",
    "timestamp": "2019-08-24T14:15:22Z",
    "version": "string"
  }
}
{
  "success": true,
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "doc_url": "string"
  },
  "meta": {
    "request_id": "string",
    "timestamp": "2019-08-24T14:15:22Z",
    "version": "string"
  }
}
Empty
Empty